version: '3.8'

services:
    fusero-boilerplate-db:
        image: postgres:15
        env_file: .env
        restart: always
        volumes:
            - fusero_boilerplate_pgdata:/var/lib/postgresql/data
        ports:
            - '19095:5432'  # New port
        container_name: fusero-boilerplate-db
        networks:
            - fusero-boilerplate-network

    fusero-boilerplate-test-db:
        image: postgres:15
        env_file: .env
        restart: always
        volumes:
            - fusero_boilerplate_test_pgdata:/var/lib/postgresql/data
        ports:
            - '19096:5432'  # New test port
        container_name: fusero-boilerplate-test-db
        networks:
            - fusero-boilerplate-network
        environment:
            - POSTGRES_DB=test-db

volumes:
    fusero_boilerplate_pgdata:
        external: true
    fusero_boilerplate_test_pgdata:
        external: false

networks:
    fusero-boilerplate-network:
        name: fusero-boilerplate-network
